|
acedSetVar:设置系统变量
acedGetVar:获取系统变量值
result = acedCommand(RTSTR, "Zoom", RTSTR, PAUSE, RTNONE); //使用PAUSE暂停,让用户输入
result = acedCommand(RTSTR, "circle", RTSTR, "5,5", RTSTR, PAUSE, RTSTR, "line", RTSTR, "5,5", RTSTR, "7,5", RTSTR, "", 0);
acedInvoke:调用其它ARX注册的外部函数
acedCommond:调用全局命令
2. 获取用户输入函数;
函数名
功能
acedGetInt
获取一个整数
acedGetReal
获取一个浮点
acedGetDist
获取一个距离
acedGetAngle
获取一个角度
acedGetOrient
获取一个方向角
acedGetPoint
获取一个点
acedGetCorner
获取矩形的对角点
acedGetKword
获取用户输入的关键字
acedGetString
获取字符串
ads_usrbrk取消命令如何使用?
对于acedGetString的获取的各种字符如何处理?
3. 类型转换函数;
acdbRToS() converts a real value, an angle to string values
acdbAngToS()
acdbDisToF() convert strings back into real (distance) values or angles
acdbAngToF()
4. 字符处理函数;
acutIsAlpha
Verifies that the character is alphabetic
acutIsUpper
Verifies that the character is uppercase
acutIsLower
Verifies that the character is lowercase
acutIsDigit
Verifies that the character is a digit
acutIsXDigit
Verifies that the character is a hexadecimal digit
acutIsSpace
Verifies that the character is a white-space character
acutIsPunct
Verifies that the character is a punctuation character
acutIsAlNum
Verifies that the character is alphanumeric
acutIsPrint
Verifies that the character is printable
acutIsGraph
Verifies that the character is graphical
acutIsCntrl
Verifies that the character is a control character
acutToUpper
Converts the character to uppercase
acutToLower
Converts the character to lowercase
5. 坐标变换函数;
acutCvUnit() takes a value expressed in one system of units and returns the equivalent value in another system
acedTrans() function translates a point or a displacement from one coordinate system into another
6. 显示控制函数;
acedPrompt displays a message on the AutoCAD prompt line
acutPrintf() displays text on the text screen.
acdbFail() displays messages on the text screen
acedMenuCmd() provides control of the display of the graphics screen menu
acedGraphScr() display the graphics screen
acedTextScr() display the text screen
acedTextPage() like acedTextScr(), but it clears the text screen before displaying it (as the AutoCAD STATUS command does)
acedRedraw() similar to the AutoCAD REDRAW command
acedGrDraw()
acedGrVecs()
7、图形交互函数。
acedTablet()
acutWcMatch() |
|